Package com.verisign.epp.codec.idntable

## Enum EPPIdnTableDomainLabel.Form

- java.lang.Object
- - java.lang.Enum<EPPIdnTableDomainLabel.Form>
  - - com.verisign.epp.codec.idntable.EPPIdnTableDomainLabel.Form

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPIdnTableDomainLabel.Form>`
  Enclosing class:
    EPPIdnTableDomainLabel

      public static enum EPPIdnTableDomainLabel.Form
      extends java.lang.Enum<EPPIdnTableDomainLabel.Form>

  Label form types, that include:
  - `A_LABEL` A-label domain name label.
  - `U_LABEL` U-label domain name label.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `A_LABEL` |
    `U_LABEL` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPIdnTableDomainLabel.Form` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPIdnTableDomainLabel.Form[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### A_LABEL

          public static final EPPIdnTableDomainLabel.Form A_LABEL

    - #### U_LABEL

          public static final EPPIdnTableDomainLabel.Form U_LABEL

  - ### Method Detail

    - #### values

          public static EPPIdnTableDomainLabel.Form[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPIdnTableDomainLabel.Form c : EPPIdnTableDomainLabel.Form.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPIdnTableDomainLabel.Form valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null